Update Object Record
curl --request PUT \
--url https://app.superleap.com/api/v1/org/objects/{object_slug}/record/{record_id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"owner": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"status": "<string>",
"external_id": "<string>"
}
'import requests
url = "https://app.superleap.com/api/v1/org/objects/{object_slug}/record/{record_id}"
payload = {
"owner": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"status": "<string>",
"external_id": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
owner: '<string>',
name: '<string>',
email: '<string>',
phone: '<string>',
status: '<string>',
external_id: '<string>'
})
};
fetch('https://app.superleap.com/api/v1/org/objects/{object_slug}/record/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Record Management APIs
Update Object Record
PUT
/
api
/
v1
/
org
/
objects
/
{object_slug}
/
record
/
{record_id}
Update Object Record
Update a specific record for a requested object. This API allows you to modify existing record data by providing the object slug and record ID.
Headers
string
required
Bearer token for authentication, click here to generate one
string
default:"application/json"
required
application/json
Path Parameters
string
required
The slug identifier for the object type you want to update (e.g., “lead”, “user”, “opportunity”, “communication”)
string
required
The unique identifier of the specific record you want to update
Body
string
ID of the user who should own this record
string
Name or title of the record
string
Email address associated with the record
string
Phone number associated with the record
string
Current status of the record
string
External reference ID for integration purposes
Example
Request
curl --location --request PUT 'https://app.superleap.dev/api/v1/org/objects/lead/record/g1koYv_n1JaKVho' \
--data '{
"name":"test Update"
}'
Response 200 OK
{
"success": true,
"data": {
"created_at": 1753886066772,
"created_by": "g1koYv_uLg11RFM",
"email": null,
"external_id": null,
"id": "g1koYv_n1JaKVho",
"multiselect_1": [
"op3"
],
"name": "test Update",
"owner": "g1koYv_uLg11RFM",
"phone": "+91-8129987917",
"phone_no": null,
"search_field": "test Update",
"updated_at": 1753949124533,
"updated_by": "g1koYv_BkJ851eS"
}
}
Request for Failure Scenario
The Failure Scenario where the record with the provided ID does not existcurl --location 'https://app.superleap.dev/api/v1/org/objects/lead/record/g1koYv_n1JaKVhos'
Response 400 Bad Request
{
"success": false,
"data": {
"message": "Failed to get record",
"status_code": 400,
"error_code": "NOT_FOUND",
"validation_errors": null,
"meta_data": "record not found"
}
}
⌘I